ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

HP Proliant DL145 G2 Server support CD - version 3.0

Dirk Hautekiet
Occasional Visitor

HP Proliant DL145 G2 Server support CD - version 3.0

When I install Windows 2003 64-bit edition on a ProLiant DL145 G2 server, several devices are not recognised. No problem, if they are on the Support CD, but if you try to execute the 64-bit drivers on the CD (for exemple dl145g2broadcom-8.27.1.0.exe for the Embedded NIC), you get the error message "The image file ... is valid, but is for a machine type other than the current machine.

Why do I get this message? I suppose this is a problem with the self-extracting files for the 64-bit drivers.

Best regards,
Dirk
8 REPLIES
The Spartan
Trusted Contributor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

Hi Dirk,

1. Did you try to download the and run simliar driver from hp.com for the aforesaid OS.
2. Could you update the firmware and try the same.

Regards,
Raghav
If you are keen to win, you should be willing to lose.
Dirk Hautekiet
Occasional Visitor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

I had to extract the drivers on another (XP) system and then install the drivers manually.

The drivers on internet (for exemple http://h18023.www1.hp.com/support/files/server/us/download/23575.html) have the same problem.

Dirk
The Spartan
Trusted Contributor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

Hi Dirk,
1. Is the firmware on the server the latest?
2. Upgrade the firmware of the NIC card as well - the same is available at hp.com
3. Then try running the driverts u have already downloaded.

Do post your findings,
Raghav
If you are keen to win, you should be willing to lose.
Dirk Hautekiet
Occasional Visitor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

The firmware is the latest version. There is no separate firmware for the Integrated dual Broadcom 5721 on www.hp.com

I can use the drivers both from the Support CD and from internet, but I cannot extract the .exe directly on W2k3-64bit because they are probably packaged in a way that is not compatible with W2k3-64bit
The Spartan
Trusted Contributor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

Hi Dirk,
I did hurry thro a few forums. Seems to be issue with W2k3 OS.

Useful Link:
http://www.windowskb.com/Uwe/Forum.aspx/windows-64/1587/Error-The-image-file-is-valid-but-is-for-a-machine-type-othe

Just try to use another NIC card, whils I shall try to experiment the same myself.
As you may as well have concluded, issue seems not be Hardware related.

Bye only for now,
Raghav
If you are keen to win, you should be willing to lose.
SPa
Trusted Contributor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

The Driver Download page lists the Installation Steps:

http://h18000.www1.hp.com/support/files/server/us/download/23575.html

--Extract the compressed files to the server harddrive or floppy diskette.
--Using the Windows Device Manager, select Other Devices.
--Right Click Ethernet Controllers and select upgrade drivers.
--Select "Install from a list or specific location"


Select the destination location of the Broadcom NIC drivers: either harddrive or floppy.

As suggested the driver needs to be extracted before installing and should be installed from Device Manager.
Decio_1
Occasional Visitor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

Hi Dirk,


run winzip > open > select the file dl145g2broadcom-8.27.1.0.exe and extract to a location and install.

i hope this help
Phillip Thayer
Esteemed Contributor

Re: HP Proliant DL145 G2 Server support CD - version 3.0

I just finished installing several of these DL145's and the CD contains a .EXE zip file with the drivers in them that was created on a 32-bit machine and then put on the CD for a 64-bit OS. I popped the CD into my laptop, unzipped the drivers to a USB drive and then put the USB drive on the DL145. I was able to install all the drivers from the USB drive with no problem.

Phil
Once it's in production it's all bugs after that.